<?php // ChatterBot2WP - Settings Display
if (!function_exists('add_action')) die(); ?>
<div class="wrap">
	<h1><?php echo C2W_NAME; ?> <small><?php echo 'v'. C2W_VERSION; ?></small></h1>
	<div class="c2w-toggle-all"><a href="<?php echo admin_url(C2W_PATH); ?>"><?php esc_html_e('Toggle all panels', 'chatterbot2wp'); ?></a></div>
	<form method="post" action="options.php">
		<?php settings_fields('c2w_plugin_options'); ?>
		<div class="metabox-holder">
			<div class="meta-box-sortables ui-sortable">
				<div id="c2w-panel-overview" class="postbox">
					<h2><?php esc_html_e('ChatterBot2WP Plugin Overview', 'chatterbot2wp'); ?></h2>
					<!-- div class="toggle<?php if (isset($_GET['settings-updated'])) echo ' default-hidden'; ?>" -->
					<div class="toggle">
						<div class="c2w-panel-overview">
							<div style="margin-left:50px;text-align:left;">
							<p style="font-size:1.2em;font-weight:bold;"><?php esc_html_e('The plugin to add your ChatterPal Campaign Code to your WordPress website.', 'chatterbot2wp'); ?></p>
							<table border="0" cellspacing="0" cellpadding="5">
								<tr>
									<td align="left" valign="top">
										<div style="float:left;font-weight:bold;font-size:1.2em;">
											<strong>Menu:</strong>
										<ul>
											<li><a class="c2w-toggle" data-target="usage" href="#c2w-panel-usage"><?php esc_html_e('How to Use', 'chatterbot2wp'); ?></a></li>
											<li><a class="c2w-toggle" data-target="settings" href="#c2w-panel-settings"><?php esc_html_e('Plugin Settings', 'chatterbot2wp'); ?></a></li>
											<li><a class="c2w-toggle" data-target="options" href="#c2w-panel-options"><?php esc_html_e('Display Options', 'chatterbot2wp'); ?></a></li>
											<li><a class="c2w-toggle" data-target="restore" href="#c2w-panel-restore"><?php esc_html_e('Restore Defaults', 'chatterbot2wp'); ?></a></li>
											<li><a class="c2w-toggle" data-target="current" href="#c2w-panel-current"><?php esc_html_e('Show Your Support', 'chatterbot2wp'); ?></a></li>
										</ul>
										</div>
										<div style="float:left;font-size:1.2em;">
											<strong>External Links:</strong>
									<ul>
										<li><a target="_blank" rel="noopener noreferrer" href="https://chatterbot2wp.com/"><?php esc_html_e('Plugin Homepage', 'chatterbot2wp'); ?></a></li>
										<li><a target="_blank" rel="noopener noreferrer" href="https://twitter.com/Bot2Wp"><?php esc_html_e('Twitter @ Bot2WP', 'chatterbot2wp'); ?></a></li>
										<li><a target="_blank" rel="noopener noreferrer" href="https://www.facebook.com/groups/chatterbot2wp/"><?php esc_html_e('ChatterBot2WP Users Facebook Group', 'chatterbot2wp'); ?></a></li>
										<li><a target="_blank" rel="noopener noreferrer" href="https://chatterbot2wp.com/chatterbot2wp-agency/"><?php esc_html_e('ChatterBot2WP Agency Plugin', 'chatterbot2wp'); ?></a><br>Create client demo pages on your site.</li>
									</ul>
										</div>
									</td>
								</tr>
							</table>
							<p style="font-weight:bold;">
								<?php esc_html_e('Get your own custom branded version. ', 'chatterbot2wp'); ?>
								<a target="_blank" rel="noopener noreferrer" href="https://chatterbot2wp.com/custom-branded-chatterbot2wp-for-agencies/" title="<?php esc_attr_e('Upgrade to Pro Custome Branded version', 'chatterbot2wp'); ?>">Upgrade to ChatterBot2WP Pro.</a>
							</p>
							</div>
						</div>
					</div>
				</div>
				<div id="c2w-panel-usage" class="postbox">
					<h2><?php esc_html_e('How to Use', 'chatterbot2wp'); ?></h2>
					<div class="toggle default-hidden">
						<div class="c2w-panel-usage">
							<p><?php esc_html_e('How to use this plugin:', 'chatterbot2wp'); ?></p>
							<ol>
								<li><?php esc_html_e('Visit the "Plugin Settings" panel', 'chatterbot2wp'); ?></li>
								<li><?php esc_html_e('Enter your ChatterPal Campaign', 'chatterbot2wp'); ?></li>
								<li><?php esc_html_e('Configure display options settings as desired', 'chatterbot2wp'); ?></li>
							</ol>
							<p><?php esc_html_e('Save changes and done. Your ChatterPal Campaign will instantly appear on your Site.', 'chatterbot2wp'); ?></p>
							<p>Visit the Plugin home page for more detailed instructions.</p>
						</div>
					</div>
				</div>
				<div id="c2w-panel-settings" class="postbox">
					<h2><?php esc_html_e('Plugin Settings', 'chatterbot2wp'); ?></h2>
					<!-- div class="toggle<?php if (!isset($_GET['settings-updated'])) echo ' default-hidden'; ?>" -->
					<div class="toggle default-hidden">
						<div class="c2w-panel-settings" style="text-align:left;">
							<table border="0" cellspacing="0" cellpadding="5" class="widefat">
								<tr>
									<th valign="top" align="right"><label for="c2w_options[cpc_id]"><?php esc_html_e('ChatterPal Campaign ID', 'chatterbot2wp') ?></label></th>
									<td valign="top"><input id="c2w_options[cpc_id]" name="c2w_options[cpc_id]" type="text" size="20" maxlength="18" value="<?php if (isset($c2w_options['cpc_id'])) echo esc_attr($c2w_options['cpc_id']); ?>"></td>
								</tr>
								<tr>
									<th valign="top" align="right"><label for="c2w_options[c2w_location]"><?php esc_html_e('Code Location', 'chatterbot2wp'); ?></label></th>
									<td valign="top">
										<?php echo $this->select_menu($this->options_locations(), 'c2w_location'); ?>
										<div class="c2w-caption">
											<?php esc_html_e('Tip: Including it in the footer can benefit page performance.', 'chatterbot2wp'); ?>
											<?php esc_html_e('If in doubt, go with the footer option.', 'chatterbot2wp'); ?>
										</div>
									</td>
								</tr>
							</table>
						</div>
						<input type="submit" class="button-primary" value="<?php esc_attr_e('Save Changes', 'chatterbot2wp'); ?>" />
					</div>
				</div>
				<div id="c2w-panel-options" class="postbox">
					<h2><?php esc_html_e('Display Options', 'chatterbot2wp'); ?></h2>
					<div class="toggle default-hidden">
							<table border="0" cellspacing="0" cellpadding="5" class="widefat">
								<tr>
									<th valign="top" align="right"><label for="c2w_options[c2w_display_campaign]"><?php esc_html_e('Pause Campaign', 'chatterbot2wp') ?></label></th>
									<td valign="top">
										<input id="c2w_options[c2w_display_campaign]" name="c2w_options[c2w_display_campaign]" type="checkbox" value="1" <?php if (isset($c2w_options['c2w_display_campaign'])) checked('1', $c2w_options['c2w_display_campaign']); ?>>
											<?php esc_html_e('Turn Off Your Campaign (For Now).', 'chatterbot2wp'); ?>
										<div class="c2w-caption">
											<?php esc_html_e('Check this box if you want to stop your campaign from showing on your site.', 'chatterbot2wp'); ?>
											<br>
											<?php esc_html_e('Note: If checked, none of the options below will have any effect.', 'chatterbot2wp'); ?>
										</div>
									</td>
								</tr>
								<tr>
									<th valign="top" align="right"><label for="c2w_options[c2w_all_pages]"><?php esc_html_e('All Pages', 'chatterbot2wp'); ?></label></th>
									<td valign="top">
										<input id="c2w_options[c2w_all_pages]" name="c2w_options[c2w_all_pages]" type="checkbox" value="1" <?php if (isset($c2w_options['c2w_all_pages'])) checked('1', $c2w_options['c2w_all_pages']); ?>>
										<?php esc_html_e('Display Campaign on all pages.', 'chatterbot2wp'); ?>
										<div class="c2w-caption">
											<?php esc_html_e('Leave blank to display on Home/Front page only.', 'chatterbot2wp'); ?>
									  </div>
									</td>
								</tr>
								<tr>
									<th valign="top" align="right"><label for="c2w_options[c2w_pages_array]"><?php esc_html_e('Selected Page IDs', 'chatterbot2wp'); ?></label></th>
									<td valign="top">
										<input id="c2w_options[c2w_pages_array]" name="c2w_options[c2w_pages_array]" type="text" value="<?php echo $c2w_options['c2w_pages_array']; ?>" />
										<br>
										<?php esc_html_e('To display on other pages too, add each Page id separated by a coma.', 'chatterbot2wp'); ?>
										<div class="c2w-caption">
											Eg. 2144,2233
											<br>
											Leave blank to display on Home/Front page only.
											<br><input id="c2w_options[c2w_show_on_home]" name="c2w_options[c2w_show_on_home]" type="checkbox" value="1"  <?php if (isset($c2w_options['c2w_show_on_home'])) checked('1', $c2w_options['c2w_show_on_home']); ?>> Show on home page.
											<br>Uncheck if you don't want to display your campaign on the home page.

									    </div>
									</td>
								</tr>
								<tr>
									<th valign="top" align="right"><label for="c2w_options[admin_area]"><?php esc_html_e('Admin Area', 'chatterbot2wp') ?></label></th>
									<td valign="top">
										<input id="c2w_options[admin_area]" name="c2w_options[admin_area]" type="checkbox" value="1" <?php if (isset($c2w_options['admin_area'])) checked('1', $c2w_options['admin_area']); ?>>
										<?php esc_html_e('Enable Campaign to show in the WordPress Admin Area', 'chatterbot2wp'); ?>
										<div class="c2w-caption">
											<?php esc_html_e('Tip: This is a handy option to test that your campaign is showing when setting up.', 'chatterbot2wp'); ?>
											<br>
											<?php esc_html_e('Will not work if Disable for Admin-level users is checked.', 'chatterbot2wp'); ?>
										</div>
									</td>
								</tr>
								<tr>
									<th valign="top" align="right"><label for="c2w_options[disable_admin]"><?php esc_html_e('Admin Users', 'chatterbot2wp') ?></label></th>
									<td valign="top">
										<input id="c2w_options[disable_admin]" name="c2w_options[disable_admin]" type="checkbox" value="1" <?php if (isset($c2w_options['disable_admin'])) checked('1', $c2w_options['disable_admin']); ?>>
										<?php esc_html_e('Disable for Admin-level users', 'chatterbot2wp') ?>
										<div class="c2w-caption">
											<?php esc_html_e('Note: If checked, your Campaign will not be visible for admins while logged in even if enabled in the Admin area.', 'chatterbot2wp'); ?>
										</div>
									</td>
								</tr>
						</table>
						<input type="submit" class="button-primary" value="<?php esc_attr_e('Save Changes', 'chatterbot2wp'); ?>" />
					</div>
				</div>
				<div id="c2w-panel-restore" class="postbox">
					<h2><?php esc_html_e('Restore Defaults', 'chatterbot2wp'); ?></h2>
					<div class="toggle default-hidden">
						<p><?php esc_html_e('Click the link to restore the default plugin options.', 'chatterbot2wp'); ?></p>
						<p><?php echo $this->callback_reset(); ?></p>
					</div>
				</div>
				<div id="c2w-panel-current" class="postbox">
					<h2><?php esc_html_e('Show Support', 'chatterbot2wp'); ?></h2>
					<div class="toggle<?php if (isset($_GET['settings-updated'])) echo ' default-hidden'; ?>">
						<?php require_once C2W_DIR .'inc/support-panel.php'; ?>
					</div>
				</div>
			</div>
		</div>
		<div class="c2w-credit-info">
			&copy;copyright 2019&nbsp;
			<a target="_blank" rel="noopener noreferrer" href="<?php echo esc_url(C2W_HOME); ?>" title="<?php esc_attr_e('Plugin Homepage', 'chatterbot2wp'); ?>"><?php echo C2W_NAME; ?></a>
			<?php esc_attr_e('by', 'chatterbot2wp'); ?>
			<a target="_blank" rel="noopener noreferrer" href="https://thorhammaraxx.com/" title="<?php esc_attr_e('Thor Hammaraxx Home Page', 'chatterbot2wp'); ?>"><img src="<?php echo $plugin_url;?>img/hammaraxx_brand_36x36.png" alt="hammaraxx" width="36" heigh="36" align="middle" /></a>&nbsp;
			<a target="_blank" rel="noopener noreferrer" href="https://thorhammaraxx.com/" title="<?php esc_attr_e('Thor Hammaraxx Home Page', 'chatterbot2wp'); ?>">Thor Hammaraxx</a>
		</div>
	</form>
</div>
